.btn-label {
    opacity: 1 !important;
    pointer-events: none;
}

table thead tr th {
    border-top: 0px !important;
}

i.navbar-toggler-icon {
    width: 1.3em;
    height: 1.5em;
    display: inline-block;
    line-height: 1.5em;
    background-image: none !important;
}

img.scc-brand {
    height: 30px;
}

div.overlay {
  position: fixed; /* Sit on top of the page content */
  display: none; /* Hidden by default */
  width: 100%; /* Full width (cover the whole page) */
  height: 100%; /* Full height (cover the whole page) */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5); /* Black background with opacity */
  z-index: 99; /* always on top */
  cursor: pointer; /* Add a pointer on hover */
}

div.overlay-content {
    min-width: 30%;
    max-width: 60%;
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%);
    -ms-transform: translate(-50%);
}

.scroll-overlay-card-content {
    max-height: 70vh;
    overflow-y: auto;
}

.tooltip-inner {
    max-width: 30vw;
}

/* Table Theming */
.table-primary-warning {
    background: linear-gradient(110deg, #b8daff 50%, #ffeeba 50%);
}
.table-primary-warning:hover {
    background: linear-gradient(110deg, #9fcdff 50%, #ffe8a1 50%);
}

/* Sorting Icons from FontAwesome */
table.dataTable thead th.sorting:before,
table.dataTable thead th.sorting_asc:before,
table.dataTable thead th.sorting_desc:before {
    content: none !important;
}

table.dataTable.table-sm .sorting::after,
table.dataTable.table-sm .sorting_asc::after,
table.dataTable.table-sm .sorting_desc::after {
    top: unset;
}


table.dataTable thead th.sorting:after,
table.dataTable thead th.sorting_asc:after,
table.dataTable thead th.sorting_desc:after {
    position: absolute;
    bottom: 5px;
    right: 5px;
    display: block;
    color: #000;
    font-family: "Font Awesome 5 Free";
    font-weight: 900; /* regular style/weight */
    padding-top: 0.12em;
}

table.dataTable thead th.sorting:after {
    content: "\f0dc";
}
table.dataTable thead th.sorting_asc:after {
    content: "\f0de";
    opacity: 1;
}
table.dataTable thead th.sorting_desc:after {
    content: "\f0dd";
    opacity: 1;
}

/* Pagination Icons from FontAwesome  */
div.dataTables_paginate li.first > a,
div.dataTables_paginate li.previous > a {
    position: relative;
    padding-left: 24px;
}

div.dataTables_paginate li.next > a,
div.dataTables_paginate li.last > a {
    position: relative;
    padding-right: 24px;
}

div.dataTables_paginate li.first a:before,
div.dataTables_paginate li.previous a:before,
div.dataTables_paginate li.next a:after,
div.dataTables_paginate li.last a:after {
    position: absolute;
    display: block;
    top: 8px;
    font-family: "Font Awesome 5 Free";
}

div.dataTables_paginate li.first a:before {
    left: 6px;
    font-weight: 900; /* regular style/weight */
    content: "\f100";
}

div.dataTables_paginate li.previous a:before {
    left: 10px;
    font-weight: 900; /* regular style/weight */
    content: "\f104";
}

div.dataTables_paginate li.next a:after {
    right: 10px;
    font-weight: 900; /* regular style/weight */
    content: "\f105";
}

div.dataTables_paginate li.last a:after {
    right: 6px;
    font-weight: 900; /* regular style/weight */
    content: "\f101";
}
